

	<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
        
	  
  <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>	


    <script>
  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 105 && event.keyCode < 123 || event.keyCode ==27	 || event.keyCode ==17	 ) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==119){ parent.ventanaArticulos(); } // f8 busqueda de articulos
if(num==107){ cambio(); parent.validar_cabecera2();  }//TECCLA  + guardar e imprimir
if(num==118){ cambio(); parent.validar_cabecera2();  }//f10 guardar e imprimir 
if(num==120){ parent.ConsultarArticulo();  }//f9 guardar e imprimir
//if(num==121){ cambio(); parent.validar_cabecera2();  }//f10 guardar e imprimir 
if(num==17) { parent.focus_cantidad();  }//f9 guardar e imprimir
if(num==27){ 
	
		
		   	parent.document.getElementById("moneda_total").value="";
        	parent.document.getElementById("tipo_pago").value="";
	  		parent.document.forms.formulario_lineas.action="frame_lineas_super.php"
			 parent.document.getElementById("formulario_lineas").submit();  }//escape salir
  }  
  }
  

</script>


<script>


function salir(){
  
   	parent.document.getElementById("moneda_total").value="";
  	parent.document.getElementById("tipo_pago").value="";
	parent.document.forms.formulario_lineas.action="frame_lineas_super.php";
	parent.document.formulario_lineas.submit();

}


function guardar(){

	
	document.form_pagos.submit();

}

//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_pagos"

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
	   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
  if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
			  cambio();			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
				cambio();	
				 return false
			  }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	



function pon_prefijo(filas,preciotot) {
	parent.document.formulario_lineas.filas.value=filas;
	parent.document.formulario_lineas.preciotot.value=preciotot;
    
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio(){	

document.getElementById("efectivo").focus();	

      				parent.document.getElementById("cdgbar").value="";
					parent.document.getElementById("dscart").value="";
					parent.document.getElementById("preivi").value="";
					parent.document.getElementById("cantidad").value="";
					parent.document.getElementById("importe").value="";
 
}



function cambio()	{

		
		
			var efectivo=parseInt(document.getElementById("efectivo").value);
			var simpes=parseInt(document.getElementById("simpes").value);	
			var depositos=parseInt(document.getElementById("depositos").value);	
			var dolares=parseFloat(document.getElementById("dolares").value);	
			var tarjetas=parseInt(document.getElementById("tarjetas").value);	
			var tipcamdol=parseFloat(document.getElementById("tipcamdol").value);
			
			
			if (document.getElementById("efectivo").value==""){efectivo=0.00;}	
			if (document.getElementById("simpes").value==""){simpes=0.00;}	
			if (document.getElementById("depositos").value==""){depositos=0.00;}	
			if (document.getElementById("dolares").value==""){dolares=0.00;}	
			if (document.getElementById("tarjetas").value==""){tarjetas=0.00;}	

			
			
			

			parent.document.getElementById("efectivo2").value=efectivo;
			parent.document.getElementById("simpes2").value=simpes;
			parent.document.getElementById("depositos2").value=depositos;
			parent.document.getElementById("dolares2").value=dolares;
			parent.document.getElementById("tarjetas2").value=tarjetas;
			
			
			
			dolares=tipcamdol*dolares;
				
			var pagacon = efectivo +  simpes + depositos + dolares + tarjetas  ;
			pagacon=parseInt(pagacon);
			document.getElementById("pagacon").value=pagacon;
			parent.document.getElementById("pagacon2").value=pagacon;
			
			
			var total=parseInt(document.getElementById("total").value);		
			
			vuelto = pagacon - total ;
			vuelto=parseInt(vuelto);
			document.getElementById("vuelto").value=vuelto;
			parent.document.getElementById("vuelto2").value=vuelto;
			
					}

	








		
		
						
	



 function validarvuelto() {
	            
				var mensaje="";
	var pagacon=document.getElementById("pagacon").value;	
		
		if (   pagacon  >   0 ) {
	
			var vuelto=document.getElementById("vuelto").value;	
		 
					if (   vuelto  >=   0 ) {
	
	parent.dsccli.disabled=false;
    parent.document.getElementById("formulario").submit();
	


      
						} else {
					
			localStorage.removeItem('validar_cabecera_en_ejecucion')			
		    alert("Atencion, El monto a pagar no completa el total de la factura, faltan "+vuelto+ " Colones") ;
			document.getElementById("efectivo").focus();	
					
				}	
							} else {
								
			 alert("Digite el monto Pagado") ;			
			 document.getElementById("efectivo").focus();		
			localStorage.removeItem('validar_cabecera_en_ejecucion')			
		}		}	
			

</script>

<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<style type="text/css">
.Estilo1 {color: #0000CC}
</style>
<body onLoad="inicio()">
<p>
  <?php 
include ("../conexion.php");
 $total         = $_POST["total"];
 $total         = str_replace (",","",$total);
 $cdgcli        = $_POST["cdgclifac2"];
 $codfacturatmp = $_POST["codfacturatmp2"];
 $tipcamdol     = $_POST["tipcamdol"];
 $dsccli        = $_POST["dsccli2"];
 $moneda_total  = $_POST["moneda_total"];
 $tipo_pago     = $_POST["tipo_pago"];
 $cdgtipven     = 1;

if (!isset($_POST["moneda_total"])) { $moneda_total=""; } else  {  $moneda_total=$_POST["moneda_total"]; }
if (!isset($_POST["tipo_pago"]))    { $tipo_pago="";    } else  {  $tipo_pago=$_POST["tipo_pago"]; }

$valor_efectivo = "";
$valor_simpe = "";
$valor_tarjeta  = "";

if  ($tipo_pago == 1){
$valor_efectivo= $moneda_total;
}	

if  ($tipo_pago == 2){
$valor_simpe=  $total;
}

if  ($tipo_pago == 3){
$valor_tarjeta=  $total;
}		

if  ($tipo_pago == 4){
$valor_efectivo=  $total;
}	

?>	
</p>
<div id="xdetalleAWSUPER">
  <form id="form_pagos" name="form_pagos" method="post" action="guardar_proforma_super.php">
     <input id="cdgcli"  value="<?php echo $cdgcli?>"   name="cdgcli" type="hidden" >
      <input id="codfacturatmp"  value="<?php echo $codfacturatmp?>"   name="codfacturatmp" type="hidden" >
       <input id="tipcamdol"  value="<?php echo $tipcamdol?>"   name="tipcamdol" type="hidden" >
        <input id="cdgtipven"  value="<?php echo $cdgtipven?>"   name="cdgtipven" type="hidden" >
     	  <input id="dsccli"  value="<?php echo $dsccli?>"   name="dsccli" type="hidden" >
        <input id="accion" name="accion" value="alta" type="hidden">
   
   
      					    <input name="vuelto2"  id="vuelto2"   type="hidden">
                            <input name="pagacon2"  id="pagacon2"    type="hidden">
                            <input name="efectivo2"  id="efectivo2"   type="hidden">
                            <input name="simpes2" id="simpes2"   type="hidden">
                            <input name="depositos2"  id="depositos2"   type="hidden">
                            <input name="tarjetas2"  id="tarjetas2"   type="hidden">
                            <input name="dolares2"  id="dolares2"    type="hidden">
    <table width="100%"  cellpadding="0" cellspacing="3" align="center"
   border="0">
    <tr>
      <td width="1%">&nbsp;</td>
      <td width="8%">EFECTIVO</td>
      <td width="40%"><span class="Estilo1">
        <input id="efectivo"  style='text-align:right;' onBlur="cambio()"  value="<?php echo $valor_efectivo;?>" autocomplete="off" onFocus="siguienteCampo ='tarjetas';"  class="fuente_pagos" name="efectivo" type="text" >
        </span></td>
      <td width="12%" align="center"><strong>TOTAL</strong></td>
      	<td width="40%"><span class="Estilo1">
        <input id="pagacon"   readonly style='text-align:right;'  value="0.00" class="fuente_pagos" name="pagacon"    type="text" >
      </span></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>TARJETA</td>
      <td><span class="Estilo1">
        <input id="tarjetas"  style='text-align:right;'  onChange="cambio()" value="<?php echo $valor_tarjeta;?>" onFocus=" siguienteCampo ='simpes';"  class="fuente_pagos" name="tarjetas"  type="text" >
      </span></td>
      <td align="center">&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>SINPE</td>
      <td><span class="Estilo1">
        <input id="simpes"  style='text-align:right;'  onChange="cambio()"  value="<?php echo $valor_simpe;?>" onFocus=" siguienteCampo ='depositos';"  class="fuente_pagos" name="simpes" type="text" >
      </span></td>
      <td align="center">&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>DEPOSITO</td>
      <td><span class="Estilo1">
        <input id="depositos"  style='text-align:right;' onChange="cambio()"  onFocus=" siguienteCampo ='dolares';"   class="fuente_pagos" name="depositos"    type="text" >
      </span></td>
      <td><iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0"> <ilayer width="0" height="0" id="frame_datos2" name="frame_datos"></ilayer></iframe></td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>DOLARES</td>
      <td><span class="Estilo1">
        <input id="dolares"  style='text-align:right;'  onChange="cambio()"  onFocus=" siguienteCampo ='efectivo';"  class="fuente_pagos" name="dolares" type="text" >
      </span></td>
      <td><iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0"> <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer> </iframe></td>
      <td  align="right">salir <img src="../img/Symbol-Delete_32x32-32.png"  onClick="salir()" width="25" height="25" border="0"></td>
      </tr>
    <tr>
      <td>&nbsp;</td>
      <td><input id="total"   name="total"   value="<?php echo $total;?>"  type="hidden"></td>
      <td align="center" class="mensajeminimo">CAMBIO</td>
      <td colspan="2"><input id="vuelto"  readonly  class="fuente_vuelto" name="vuelto"  style='text-align:right;'   value="0.00"  type="text" ></td>
    </tr>
    </table>
</form>
</div>
<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
	  </iframe>

	</body>
</html>